diff --git a/CMakeLists.txt b/CMakeLists.txt
index 0c9b41c7d..16772cfdf 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -260,12 +260,12 @@ if (MAGMA_ENABLE_CUDA)
         message( STATUS "    compile for CUDA arch 7.0 (Volta)" )
     endif()

-    if (GPU_TARGET MATCHES sm_71)
+    if (GPU_TARGET MATCHES sm_72)
         if (NOT MIN_ARCH)
-            set( MIN_ARCH 710 )
+            set( MIN_ARCH 720 )
         endif()
-        list(APPEND __cuda_architectures 71)
-        message( STATUS "    compile for CUDA arch 7.1 (Volta)" )
+        list(APPEND __cuda_architectures 72)
+        message( STATUS "    compile for CUDA arch 7.2 (Volta)" )
     endif()

     if (GPU_TARGET MATCHES sm_75)
@@ -284,6 +284,30 @@ if (MAGMA_ENABLE_CUDA)
         message( STATUS "    compile for CUDA arch 8.0 (Ampere)" )
     endif()

+    if (GPU_TARGET MATCHES sm_86)
+        if (NOT MIN_ARCH)
+            set( MIN_ARCH 860 )
+        endif()
+        list(APPEND __cuda_architectures 86)
+        message( STATUS "    compile for CUDA arch 8.6 (Ampere)" )
+    endif()
+
+    if (GPU_TARGET MATCHES sm_87)
+        if (NOT MIN_ARCH)
+            set( MIN_ARCH 870 )
+        endif()
+        list(APPEND __cuda_architectures 87)
+        message( STATUS "    compile for CUDA arch 8.7 (Ampere)" )
+    endif()
+
+    if (GPU_TARGET MATCHES sm_89)
+        if (NOT MIN_ARCH)
+            set( MIN_ARCH 890 )
+        endif()
+        list(APPEND __cuda_architectures 89)
+        message( STATUS "    compile for CUDA arch 8.9 (Ada)" )
+    endif()
+
     if (GPU_TARGET MATCHES sm_90)
         if (NOT MIN_ARCH)
             set( MIN_ARCH 900 )
